<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="<?php echo e(asset('/favicon.ico')); ?>" type="image/x-icon">
    <title>SketchBook - <?php echo $__env->yieldContent('page_header'); ?></title>
    <!-- CSS -->
    <script src="<?php echo e(asset('admin/js/jquery.min.js')); ?>"></script>
    <link href="<?php echo e(asset('admin/toastr/toastr.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="<?php echo e(asset('admin/css/app.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('admin/css/style.css')); ?>">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/css/dropify.min.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel="stylesheet" href="<?php echo e(asset('admin/css/qrcode-reader.min.css')); ?>">
    <!-- include summernote css -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" />
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">

    <!-- Moyasar Styles -->
    

    <link rel="stylesheet" href="<?php echo e(asset('admin/switch/tailwind-switch.css')); ?>">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-validator/0.5.3/css/bootstrapValidator.min.css" />
    <?php echo $__env->yieldPushContent('css'); ?>
    <style>
        .loader {
            position: fixed;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background-color: #F5F8FA;
            z-index: 9998;
            text-align: center;
        }

        .plane-container {
            position: absolute;
            top: 50%;
            left: 50%;
        }

        .validation-error {
            width: 100%;
            margin-top: .25rem;
            font-size: 80%;
            color: #ed5564;
        }

        .modal-backdrop.show {
            opacity: 0;
            z-index: -2000;
        }

        .has-sidebar-left.page {
            height: 100vh;
            overflow-y: auto;
        }

        .btn-success {
            background-color: #1FA7A8 !important;
            border-color: #1FA7A8 !important;
        }

        button.swal2-confirm.btn.btn-success {
            margin-left: 10px;
        }

    </style>
    <!-- Js -->
    <!--
    --- Head Part - Use Jquery anywhere at page.
    --- http://writing.colin-gourlay.com/safely-using-ready-before-including-jquery/
    -->
    <script>
        (function(w, d, u) {
            w.readyQ = [];
            w.bindReadyQ = [];

            function p(x, y) {
                if (x == "ready") {
                    w.bindReadyQ.push(y);
                } else {
                    w.readyQ.push(x);
                }
            };
            var a = {
                ready: p
                , bind: p
            };
            w.$ = w.jQuery = function(f) {
                if (f === d || f === u) {
                    return a
                } else {
                    p(f)
                }
            }
        })(window, document)

    </script>
</head>
<?php
    $languages = App\Models\Language::all();
?>
<body class="light">
    <!-- Pre loader -->
    <?php echo $__env->make('layouts.admin.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div id="app">
        

        <?php echo $__env->make('layouts.admin.sidenav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        
        <div class="page has-sidebar-left">
            <div class="pos-f-t">
                <div class="collapse" id="navbarToggleExternalContent">
                    <div class="bg-dark pt-2 pb-2 pl-4 pr-2">
                        <div class="search-bar">
                            <input class="transparent s-24 text-white b-0 font-weight-lighter w-128 height-50" type="text" placeholder="start typing...">
                        </div>
                        <a href="#" data-toggle="collapse" data-target="#navbarToggleExternalContent" aria-expanded="false" aria-label="Toggle navigation" class="paper-nav-toggle paper-nav-white active "><i></i></a>
                    </div>
                </div>
            </div>
            <div class="navbar navbar-expand d-flex navbar-dark justify-content-between bd-navbar blue accent-3 shadow d-print-none">
                <div class="relative">
                    <div class="d-flex">
                        <div>
                            <a href="#" data-toggle="push-menu" class="paper-nav-toggle pp-nav-toggle">
                                <i style="background-color: white;"></i>
                            </a>
                        </div>
                        <div class="d-none d-md-block">
                            <h1 class="nav-title text-white "><?php echo $__env->yieldContent('page_header'); ?></h1>
                        </div>
                    </div>
                </div>
                <!--Top Menu Start -->
                <div class="navbar-custom-menu">
                    <ul class="nav navbar-nav">
                        <!-- Messages-->
                        
                <!-- Notifications -->
                <li>
                    <div class="mt-1">
                        <div class="float-left image pr-2">
                            <img class="user_avatar" src="<?php echo e(Auth::user()->image ? asset('storage/' . Auth::user()->image) : 'http://xvelopers.com/demos/html/paper-panel/assets/img/dummy/u2.png'); ?>" alt="User Image">
                        </div>
                        <div class="float-left info mt-1">
                            <h6 class="font-weight-light mt-2 mb-1 pr-4" style="color: white"><?php echo e(Auth::user()->name); ?></h6>
                        </div>
                    </div>
                </li>
                <li class="dropdown custom-dropdown notifications-menu">
                    <a href="#" class=" nav-link" data-toggle="dropdown" aria-expanded="false">
                        <i class="icon-notifications " style="color: white"></i>
                        
                    </a>
                    <ul class="dropdown-menu dropdown-menu-right">
                        <li class="header">You have
                            <?php echo e(auth()->user()->notifications()->count()); ?>

                            notifications</li>
                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu">
                                <?php $__currentLoopData = auth()->user()->notifications(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li>
                                    <?php
                                    if ($notification->payload['module'] == 'shipment_detail') {
                                    $anchor = route('shipment-detail', encrypt($notification->payload['id']));
                                    } elseif ($notification->payload['module'] == 'order_detail') {
                                    $anchor = route('box_order-detail', encrypt($notification->payload['id']));
                                    } else {
                                    $anchor = '#';
                                    }
                                    ?>
                                    <a href="<?php echo e($anchor); ?>">
                                        <i class="icon icon-data_usage text-success"></i>
                                        <?php echo e($notification->title); ?>

                                        <p><?php echo e($notification->text); ?></p>
                                        <p><?php echo e(Carbon\Carbon::parse($notification->created_at)->isoformat('LLLL')); ?>

                                        </p>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer p-2 text-center"><a href="#"></a></li>
                    </ul>
                </li>
                
                <!-- Right Sidebar Toggle Button -->
                
                <!-- User Account-->
                <li class="dropdown custom-dropdown user user-menu ">
                    <a href="#" class="nav-link" data-toggle="dropdown">
                        
                        <i class="icon-more_vert " style="color:white; z-index:9999;"></i>
                    </a>
                    <div class="dropdown-menu p-0 m-0 dropdown-menu-right">
                        <div class="list-group mt-3 shadow">
                            
                            <a href="<?php echo e(route('updateProfile')); ?>" class="list-group-item list-group-item-action ">
                                <i class="mr-2 icon-cogs text-blue"></i>
                                Update Profile
                            </a>
                            
                            <a href="<?php echo e(route('manage-password')); ?>" class="list-group-item list-group-item-action ">
                                <i class="mr-2 icon-cogs text-blue"></i>
                                Change Password
                            </a>
                            <a href="#" onclick="event.preventDefault(); document.getElementById('logout-form').submit();" class="list-group-item list-group-item-action">
                                <i class="mr-2 icon-sign-out text-purple"></i>
                                Logout
                            </a>
                        </div>

                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                            <?php echo csrf_field(); ?>
                        </form>

                    </div>
                </li>
                </ul>
            </div>
        </div>
        
        <?php echo $__env->yieldContent('content'); ?>
        


        <!-- Right Sidebar -->
        
        <!-- /.right-sidebar -->
        <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
        <div class="control-sidebar-bg shadow white fixed"></div>

        <div class="modal fade" id="fill_questionaire_form_modal" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content"></div>
            </div>
        </div>
    </div>
    <!--/#app -->
    <script src="<?php echo e(asset('admin/js/app.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/js/qrcode-reader.min.js')); ?>"></script>

    
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous">
    </script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous">
    </script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    

    <script src="<?php echo e(asset('admin/toastr/toastr.min.js')); ?>"></script>
    
    <script src="<?php echo e(asset('admin/js/locationpicker.js')); ?>"></script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/js/dropify.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.18/summernote.min.js"></script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-validator/0.5.3/js/bootstrapValidator.min.js"></script>
    <!-- include summernote js -->
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>

    <script src="https://polyfill.io/v3/polyfill.min.js?features=fetch"></script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.full.min.js"></script>

    <script src="<?php echo e(asset('admin/switch/jquery-tailwind-toggle.js')); ?>"></script>
    <?php echo $__env->make('layouts.admin.widgets_modals', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldPushContent('widget_modals'); ?>
    <script>
        <?php if(Session::has('message')): ?>
        toastr["<?php echo e(Session::get('type')); ?>"]("<?php echo e(Session::get('message')); ?>", "<?php echo e(Session::get('title')); ?>")
        <?php endif; ?>

        $(".treeview-menu").each(function() {
            if ($(this).children().length == 0) {
                $(this).parent().remove();
            }
        });

        $('#disable_enter_submit').on('keyup keypress', function(e) {
            var keyCode = e.keyCode || e.which;
            if (keyCode === 13) {
                e.preventDefault();
                return false;
            }
        });
        (function() {
            'use strict';
            window.addEventListener('load', function() {
                // Fetch all the forms we want to apply custom Bootstrap validation styles to
                var forms = document.getElementsByClassName('needs-validation');
                // Loop over them and prevent submission
                var validation = Array.prototype.filter.call(forms, function(form) {
                    form.addEventListener('submit', function(event) {
                        if (form.checkValidity() === false) {
                            event.preventDefault();
                            event.stopPropagation();
                            console.log("false")
                        } else {
                            console.log("true")
                        }
                        form.classList.add('was-validated');
                    }, false);
                });
            }, false);
        })();


        $(document).ready(function() {
            $('#loader').fadeOut()
            $('.dropify').dropify();
            $(".dropify-clear").css("display","none");
            // $('.summernote').summernote();
            $('.summernote').summernote({
                onPaste: function(e) {
                    var bufferText = ((e.originalEvent || e).clipboardData || window.clipboardData)
                        .getData('Text');
                    e.preventDefault();
                    document.execCommand('insertText', false, bufferText);
                }
                , toolbar: [
                    ['styleTags', []]
                    , ['cleaner', ['cleaner']], // The Button
                    ['style', ['style']]
                    , ['font', ['bold', 'italic', 'underline', 'clear']]
                    , ['para', ['ul', 'ol', 'paragraph']]
                    , ['table', ['table']]
                    , ['insert', ['hr']]
                    , ['view', ['fullscreen', 'codeview']]
                ]
            });

            $('[data-toggle="tooltip"]').tooltip()

            $(document).on('click', '.fill_questionaire', function() {
                let id = $(this).data('id');
                let url = ("<?php echo e(route('appointment-get_questionaire_form',['-id-'])); ?>").replace('-id-', id)
                var height = screen.height * 0.8;
                var html = '<iframe id="frame" height=' + height + ' src="' + url + '"> </iframe>'
                var selector = '#fill_questionaire_form_modal';
                $(selector).children().children().html(html);
                $(selector).modal('show');
            })

            $.qrCodeReader.jsQRpath = "<?php echo e(asset('admin/dist/js/jsQR/jsQR.min.js')); ?>";
            $.qrCodeReader.beepPath = "<?php echo e(asset('admin/dist/audio/beep.mp3')); ?>";
            var element = "#openreader-btn-0";
            var target = "#target-input-0";
            $(element).qrCodeReader({
                target: target
                , audioFeedback: true
                , multiple: false
                , skipDuplicates: true
            , });

            $(".token_tags").select2({
                placeholder: "Tags", //placeholder
                tags: true
                , tokenSeparators: ['/', ',', ';', " "]
            , });

            $('[data-toggle="tooltip"]').tooltip()
            $(".sortable").sortable({
                revert: true
            });

            $(".token_article").select2({
                placeholder: "Articles", //placeholder
                tags: true
                , tokenSeparators: ['/', ',', ';', " "]
            , });

            function checkIframeLoaded() {
                // Get a handle to the iframe element
                var iframe = document.getElementById('iView');
                // console.log(iframe)
                if (iframe != null) {
                    var iframeDoc = iframe.contentDocument || iframe.contentWindow.document;
                    // Check if loading is complete
                    if (iframeDoc.readyState == 'complete') {
                        // The loading is complete, call the function we want executed once the iframe is loaded
                        afterLoading();
                        return;
                    }
                    // If we are here, it is not loaded. Set things up so we check   the status again in 100 milliseconds
                    window.setTimeout(checkIframeLoaded, 100);
                }
            }

            checkIframeLoaded();
            $('#iView').on("load", function() {
                renderControls();
            });

            window.afterLoading = function() {
                window.setTimeout(renderControls, 1000);
                window.setTimeout(renderControls, 2000);
            }

            $(document).on("load", "#iView", function() {
                renderControls()
            });

            function setActions(callBack, moveUpCallback, moveDownCallback, addCallback, deleteCallback) {
                let arrowImgAsset = "<?php echo e(asset('admin/img/slider-left-arrow.svg')); ?>";
                let addImgAsset = "<?php echo e(asset('admin/img/add-icon.png')); ?>";
                var template = '<div class="infosec"><button><img class="dragUp" src="' + arrowImgAsset +
                    '" alt="dragUp" onclick="parent.' + moveUpCallback + '" /></button><div><a onclick="parent.' + callBack +
                    '">Edit</a><a onclick="parent.' +
                    deleteCallback + '">Delete</a></div><img class="dragDown" src="' + arrowImgAsset +
                    '" alt="dragDown" onclick="parent.' + moveDownCallback +
                    '" /></button><div class="addWidget"><button onclick="parent.' + addCallback + '"><img src="' +
                    addImgAsset + '" alt="addIcon" /></button></div></div>'
                return template;
            }



            window.renderControls = function() {
                $('#iView').contents().find('.dynamic-widget').each(function(event) {
                    if ($(this).find('.infosec').length == 0) {
                        let reference_widget_id = $(this).data('reference_widget_id');
                        let widget_id = $(this).data('widget_id');
                        let callback = 'open_module_modal_' + widget_id + '(' +
                            reference_widget_id +
                            ')';
                        let moveDownCallback = 'repositionWidget(' + reference_widget_id +
                            ', \'down\')';
                        let moveUpCallback = 'repositionWidget(' + reference_widget_id +
                            ', \'up\')';
                        let addCallback = 'openWidgetsModal(' + reference_widget_id + ')';
                        let deleteCallback = 'deleteWidget(' + reference_widget_id + ')';
                        $(this).prepend(setActions(callback, moveUpCallback, moveDownCallback
                            , addCallback, deleteCallback));
                    }
                });
            }

            window.openWidgetsModal = function(reference_widget_id) {
                $('#insertWidget').attr('data-reference_widget_id', reference_widget_id);
                $('#myModal').modal('show');
            }
            window.repositionWidget = function(reference_widget_id, position) {
                // function repositionWidget(reference_widget_id, position) {
                $.ajax({
                    url: "<?php echo e(route('repositionWidget')); ?>"
                    , type: 'POST'
                    , data: {
                        position
                        , reference_widget_id
                        , '_token': '<?php echo e(csrf_token()); ?>'
                    }
                    , success: function(response) {
                        refreshIframe();
                        // afterLoading();
                        // renderControls();
                    }
                , })
            }

            window.deleteWidget = function(reference_widget_id) {
                // function repositionWidget(reference_widget_id, position) {
                $.ajax({
                    url: "<?php echo e(route('deleteWidget')); ?>"
                    , type: 'POST'
                    , data: {
                        reference_widget_id
                        , '_token': '<?php echo e(csrf_token()); ?>'
                    }
                    , success: function(response) {
                        refreshIframe();
                        // afterLoading();
                        // renderControls();
                    }
                , })
            }

            window.refreshIframe = function() {
                let selector = '#iView'
                $(selector).attr('src', $(selector).attr('src'));
                afterLoading();
                renderControls();

            }
            $('[data-toggle="tooltip"]').tooltip()
            $(".sortable").sortable({
                revert: true
            });
        });

    </script>
    <?php echo $__env->yieldPushContent('scripts'); ?>
    <?php echo $__env->yieldPushContent('widget_scripts'); ?>

    <script>
        jQuery('#datetimepicker7').datetimepicker({
            timepicker: false
            , formatDate: 'Y-m-d'
            , maxDate: new Date() //tomorrow is maximum date calendar
        });

    </script>

    <script>
        $(".numberInput").attr("maxlength", 6);
        $(".numberInput").keyup(function() {
            var number = $('.numberInput').val();
            if (number.length > 11) number = number.substring(0, 11);
            $('.numberInput').val(number);
        });

        function ucwords(str) {
            return (str + '').replace(/^([a-z])|\s+([a-z])/g, function($1) {
                return $1.toUpperCase();
            });
        }

    </script>

    <!--
--- Footer Part - Use Jquery anywhere at page.
--- http://writing.colin-gourlay.com/safely-using-ready-before-including-jquery/
-->
</body>

</html>
<?php /**PATH /home/agrosuwg/devtestlink.com/sketchbook/resources/views/layouts/admin/app.blade.php ENDPATH**/ ?>